Robot Simulator of the Robotics Group for Self-Organization of Control: InvertMotorNStepConf Struct Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InvertMotorNStepConf Struct Reference

`#include <invertmotornstep.h>`

Collaboration diagram for InvertMotorNStepConf:

[legend]
List of all members.

## Public Attributes
int | buffersize
| buffersize size of the time-buffer for x,y,eta
matrix::Matrix | initialC
| initial controller matrix C (if not given then randomly chosen, see cInit, cNonDiag...)
double | cInit
| cInit size of the C matrix to initialised with.
double | cNonDiag
| cNonDiag is the size of the nondiagonal elements in respect to the diagonal (cInit) ones
double | cNonDiagAbs
| cNonDiag is the value of the nondiagonal elements
bool | useS
| useS decides whether to use the S matrix in addition to the A matrix (sees sensors)
bool | useSD
| useSD decides whether to use the SD matrix in addition to the A matrix (sees first and second derivatives)
int | numberContext
| number of context sensors(considered at the end of the sensor vector.
bool | someInternalParams
| someInternalParams if true only some internal parameters are exported, all otherwise

## Member Data Documentation

int buffersize

buffersize size of the time-buffer for x,y,eta

double cInit

cInit size of the C matrix to initialised with.

double cNonDiag

cNonDiag is the size of the nondiagonal elements in respect to the diagonal (cInit) ones

double cNonDiagAbs

cNonDiag is the value of the nondiagonal elements

matrix::Matrix initialC

initial controller matrix C (if not given then randomly chosen, see cInit, cNonDiag...)

int numberContext

number of context sensors(considered at the end of the sensor vector.

If not 0, then S will only get them as input

bool someInternalParams

someInternalParams if true only some internal parameters are exported, all otherwise

bool useS

useS decides whether to use the S matrix in addition to the A matrix (sees sensors)

bool useSD

useSD decides whether to use the SD matrix in addition to the A matrix (sees first and second derivatives)

The documentation for this struct was generated from the following file:

- invertmotornstep.h